libzypp: zypp::sat Namespace Reference

libzypp 17.25.10

Namespaces | Classes | Typedefs | Functions | Variables
zypp::sat Namespace Reference

Libsolv interface More...

## Namespaces
namespace | detail
namespace | solvitermixin_detail

## Classes
class | ArrayAttr
| LookupAttr::TransformIterator based container to retrieve list attributes. More...
struct | asSolvable
| To Solvable transform functor. More...
class | FileConflicts
| Libsolv queue representing file conflicts. More...
class | LocaleSupport
| Convenience methods to manage support for a specific Locale. More...
class | LookupAttr
| Lightweight attribute value lookup. More...
class | LookupRepoAttr
| Lightweight repository attribute value lookup. More...
class | Map
| Libsolv (bit)Map wrapper. More...
class | Pool
| Global sat-pool. More...
class | Queue
| Libsolv Id queue wrapper. More...
class | Solvable
| A Solvable object within the sat Pool. More...
class | SolvableSet
| Solvable set wrapper to allow adding additional convenience iterators. More...
class | SolvableSpec
| Define a set of Solvables by ident and provides. More...
class | SolvableType
| Base class for creating Solvable based types. More...
class | SolvAttr
| Solvable attribute keys. More...
class | SolvIterMixin
| Base class providing common iterator types based on a Solvable iterator. More...
class | Transaction
| Libsolv transaction wrapper. More...
class | WhatObsoletes
| Container of installed Solvable which would be obsoleted by the Solvable passed to the ctor. More...
class | WhatProvides
| Container of Solvable providing a Capability (read only). More...

## Typedefs
typedef Queue | SolvableQueue
| Queue with Solvable ids. More...
typedef Queue | StringQueue
| Queue with String ids. More...

## Functions
std::ostream & | operator<< (std::ostream &str, const FileConflicts &obj)
std::ostream & | operator<< (std::ostream &str, const FileConflicts::Conflict &obj)
std::ostream & | dumpAsXmlOn (std::ostream &str, const FileConflicts &obj)
std::ostream & | dumpAsXmlOn (std::ostream &str, const FileConflicts::Conflict &obj)
std::ostream & | operator<< (std::ostream &str, const LocaleSupport &obj)
std::ostream & | dumpOn (std::ostream &str, const LocaleSupport &obj)
std::ostream & | operator<< (std::ostream &str, const LookupAttr &obj)
std::ostream & | dumpOn (std::ostream &str, const LookupAttr &obj)
std::ostream & | operator<< (std::ostream &str, const LookupAttr::iterator &obj)
template<class TResult , class TAttr >
std::ostream & | operator<< (std::ostream &str, const ArrayAttr< TResult, TAttr > &obj)
bool | operator== (const Map &lhs, const Map &rhs)
std::ostream & | operator<< (std::ostream &str, const Pool &obj)
void | updateSolvFileIndex (const Pathname &solvfile_r)
| Create solv file content digest for zypper bash completion. More...
std::ostream & | operator<< (std::ostream &str, const Queue &obj)
std::ostream & | dumpOn (std::ostream &str, const Queue &obj)
bool | operator== (const Queue &lhs, const Queue &rhs)
std::ostream & | operator<< (std::ostream &str, const Solvable &obj)
std::ostream & | dumpOn (std::ostream &str, const Solvable &obj)
std::ostream & | dumpAsXmlOn (std::ostream &str, const Solvable &obj)
std::ostream & | operator<< (std::ostream &str, const SolvableSet &obj)
std::ostream & | operator<< (std::ostream &str, const SolvableSpec &obj)
template<class Derived >
bool | operator== (const SolvableType< Derived > &lhs, const Solvable &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | operator== (const Solvable &lhs, const SolvableType< Derived > &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | operator!= (const SolvableType< Derived > &lhs, const Solvable &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | operator!= (const Solvable &lhs, const SolvableType< Derived > &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | operator< (const SolvableType< Derived > &lhs, const Solvable &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | operator< (const Solvable &lhs, const SolvableType< Derived > &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | identical (const SolvableType< Derived > &lhs, const Solvable &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | identical (const Solvable &lhs, const SolvableType< Derived > &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | sameNVRA (const SolvableType< Derived > &lhs, const Solvable &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | sameNVRA (const Solvable &lhs, const SolvableType< Derived > &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | compareByN (const SolvableType< Derived > &lhs, const Solvable &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | compareByN (const Solvable &lhs, const SolvableType< Derived > &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | compareByNVR (const SolvableType< Derived > &lhs, const Solvable &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | compareByNVR (const Solvable &lhs, const SolvableType< Derived > &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | compareByNVRA (const SolvableType< Derived > &lhs, const Solvable &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<class Derived >
bool | compareByNVRA (const Solvable &lhs, const SolvableType< Derived > &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
std::ostream & | operator<< (std::ostream &str, const Transaction &obj)
std::ostream & | dumpOn (std::ostream &str, const Transaction &obj)
bool | operator== (const Transaction &lhs, const Transaction &rhs)
std::ostream & | operator<< (std::ostream &str, const Transaction::Step &obj)
std::ostream & | operator<< (std::ostream &str, Transaction::StepType obj)
std::ostream & | operator<< (std::ostream &str, Transaction::StepStage obj)
| ZYPP_DECLARE_OPERATORS_FOR_FLAGS (Transaction::StepStages)
std::ostream & | operator<< (std::ostream &str, const WhatObsoletes &obj)
std::ostream & | operator<< (std::ostream &str, const WhatProvides &obj)
Helpers and forward declarations from LookupAttrTools.h
template<>
std::string | LookupAttr::iterator::asType< std::string > () const

## Variables
bool | obsoleteUsesProvides = false

## Detailed Description

Libsolv interface

## Typedef Documentation

## ◆ SolvableQueue

typedef Queue zypp::sat::SolvableQueue

Queue with Solvable ids.

Definition at line 26 of file Queue.h.

## ◆ StringQueue

typedef Queue zypp::sat::StringQueue

Queue with String ids.

Definition at line 27 of file Queue.h.

## Function Documentation

## ◆ operator<<() [1/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const FileConflicts & | obj
| ) |  |
| related

Definition at line 109 of file FileConflicts.cc.

## ◆ operator<<() [2/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const FileConflicts::Conflict & | obj
| ) |  |
| related

Definition at line 112 of file FileConflicts.cc.

## ◆ dumpAsXmlOn() [1/3]

std::ostream& zypp::sat::dumpAsXmlOn | ( | std::ostream & | str,
|  | const FileConflicts & | obj
| ) |  |
| related

Definition at line 132 of file FileConflicts.cc.

## ◆ dumpAsXmlOn() [2/3]

std::ostream& zypp::sat::dumpAsXmlOn | ( | std::ostream & | str,
|  | const FileConflicts::Conflict & | obj
| ) |  |
| related

Definition at line 156 of file FileConflicts.cc.

## ◆ operator<<() [3/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const LocaleSupport & | obj
| ) |  |
| related

Definition at line 31 of file LocaleSupport.cc.

## ◆ dumpOn() [1/5]

std::ostream& zypp::sat::dumpOn | ( | std::ostream & | str,
|  | const LocaleSupport & | obj
| ) |  |
| related

Definition at line 41 of file LocaleSupport.cc.

## ◆ operator<<() [4/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const LookupAttr & | obj
| ) |  |
| related

Definition at line 255 of file LookupAttr.cc.

## ◆ dumpOn() [2/5]

std::ostream& zypp::sat::dumpOn | ( | std::ostream & | str,
|  | const LookupAttr & | obj
| ) |  |
| related

Definition at line 272 of file LookupAttr.cc.

## ◆ operator<<() [5/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const LookupAttr::iterator & | obj
| ) |  |
| related

Definition at line 781 of file LookupAttr.cc.

## ◆ LookupAttr::iterator::asType< std::string >()

template<>

std::string zypp::sat::LookupAttr::iterator::asType< std::string > | ( |  | ) | const
| inline

Definition at line 587 of file LookupAttr.h.

## ◆ operator<<() [6/17]

template<class TResult , class TAttr >

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const ArrayAttr< TResult, TAttr > & | obj
| ) |  |
| related

## ◆ operator==() [1/5]

bool zypp::sat::operator== | ( | const Map & | lhs,
|  | const Map & | rhs
| ) |  |
| related

Definition at line 125 of file Map.cc.

## ◆ operator<<() [7/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const Pool & | obj
| ) |  |
| related

Definition at line 274 of file Pool.cc.

## ◆ updateSolvFileIndex()

void zypp::sat::updateSolvFileIndex | ( | const Pathname & | solvfile_r | ) |

Create solv file content digest for zypper bash completion.

Definition at line 286 of file Pool.cc.

## ◆ operator<<() [8/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const Queue & | obj
| ) |  |
| related

Definition at line 121 of file Queue.cc.

## ◆ dumpOn() [3/5]

std::ostream& zypp::sat::dumpOn | ( | std::ostream & | str,
|  | const Queue & | obj
| ) |  |
| related

Definition at line 124 of file Queue.cc.

## ◆ operator==() [2/5]

bool zypp::sat::operator== | ( | const Queue & | lhs,
|  | const Queue & | rhs
| ) |  |
| related

Definition at line 136 of file Queue.cc.

## ◆ operator<<() [9/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const Solvable & | obj
| ) |  |
| related

Definition at line 763 of file Solvable.cc.

## ◆ dumpOn() [4/5]

std::ostream& zypp::sat::dumpOn | ( | std::ostream & | str,
|  | const Solvable & | obj
| ) |  |
| related

Definition at line 774 of file Solvable.cc.

## ◆ dumpAsXmlOn() [3/3]

std::ostream& zypp::sat::dumpAsXmlOn | ( | std::ostream & | str,
|  | const Solvable & | obj
| ) |  |
| related

Definition at line 794 of file Solvable.cc.

## ◆ operator<<() [10/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const SolvableSet & | obj
| ) |  |
| related

Definition at line 31 of file SolvableSet.cc.

## ◆ operator<<() [11/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const SolvableSpec & | obj
| ) |  |
| related

Definition at line 161 of file SolvableSpec.cc.

## ◆ operator==() [3/5]

template<class Derived >

bool zypp::sat::operator== | ( | const SolvableType< Derived > & | lhs,
|  | const Solvable & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 171 of file SolvableType.h.

## ◆ operator==() [4/5]

template<class Derived >

bool zypp::sat::operator== | ( | const Solvable & | lhs,
|  | const SolvableType< Derived > & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 175 of file SolvableType.h.

## ◆ operator!=() [1/2]

template<class Derived >

bool zypp::sat::operator!= | ( | const SolvableType< Derived > & | lhs,
|  | const Solvable & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 184 of file SolvableType.h.

## ◆ operator!=() [2/2]

template<class Derived >

bool zypp::sat::operator!= | ( | const Solvable & | lhs,
|  | const SolvableType< Derived > & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 188 of file SolvableType.h.

## ◆ operator<() [1/2]

template<class Derived >

bool zypp::sat::operator< | ( | const SolvableType< Derived > & | lhs,
|  | const Solvable & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 197 of file SolvableType.h.

## ◆ operator<() [2/2]

template<class Derived >

bool zypp::sat::operator< | ( | const Solvable & | lhs,
|  | const SolvableType< Derived > & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 201 of file SolvableType.h.

## ◆ identical() [1/2]

template<class Derived >

bool zypp::sat::identical | ( | const SolvableType< Derived > & | lhs,
|  | const Solvable & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 215 of file SolvableType.h.

## ◆ identical() [2/2]

template<class Derived >

bool zypp::sat::identical | ( | const Solvable & | lhs,
|  | const SolvableType< Derived > & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 219 of file SolvableType.h.

## ◆ sameNVRA() [1/2]

template<class Derived >

bool zypp::sat::sameNVRA | ( | const SolvableType< Derived > & | lhs,
|  | const Solvable & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 228 of file SolvableType.h.

## ◆ sameNVRA() [2/2]

template<class Derived >

bool zypp::sat::sameNVRA | ( | const Solvable & | lhs,
|  | const SolvableType< Derived > & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 232 of file SolvableType.h.

## ◆ compareByN() [1/2]

template<class Derived >

bool zypp::sat::compareByN | ( | const SolvableType< Derived > & | lhs,
|  | const Solvable & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 242 of file SolvableType.h.

## ◆ compareByN() [2/2]

template<class Derived >

bool zypp::sat::compareByN | ( | const Solvable & | lhs,
|  | const SolvableType< Derived > & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 246 of file SolvableType.h.

## ◆ compareByNVR() [1/2]

template<class Derived >

bool zypp::sat::compareByNVR | ( | const SolvableType< Derived > & | lhs,
|  | const Solvable & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 256 of file SolvableType.h.

## ◆ compareByNVR() [2/2]

template<class Derived >

bool zypp::sat::compareByNVR | ( | const Solvable & | lhs,
|  | const SolvableType< Derived > & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 260 of file SolvableType.h.

## ◆ compareByNVRA() [1/2]

template<class Derived >

bool zypp::sat::compareByNVRA | ( | const SolvableType< Derived > & | lhs,
|  | const Solvable & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 269 of file SolvableType.h.

## ◆ compareByNVRA() [2/2]

template<class Derived >

bool zypp::sat::compareByNVRA | ( | const Solvable & | lhs,
|  | const SolvableType< Derived > & | rhs
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 273 of file SolvableType.h.

## ◆ operator<<() [12/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const Transaction & | obj
| ) |  |
| related

Definition at line 364 of file Transaction.cc.

## ◆ dumpOn() [5/5]

std::ostream& zypp::sat::dumpOn | ( | std::ostream & | str,
|  | const Transaction & | obj
| ) |  |
| related

Definition at line 367 of file Transaction.cc.

## ◆ operator==() [5/5]

bool zypp::sat::operator== | ( | const Transaction & | lhs,
|  | const Transaction & | rhs
| ) |  |
| related

Definition at line 376 of file Transaction.cc.

## ◆ operator<<() [13/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const Transaction::Step & | obj
| ) |  |
| related

Definition at line 406 of file Transaction.cc.

## ◆ operator<<() [14/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | Transaction::StepType | obj
| ) |  |

Definition at line 416 of file Transaction.cc.

## ◆ operator<<() [15/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | Transaction::StepStage | obj
| ) |  |

Definition at line 430 of file Transaction.cc.

## ◆ ZYPP_DECLARE_OPERATORS_FOR_FLAGS()

zypp::sat::ZYPP_DECLARE_OPERATORS_FOR_FLAGS | ( | Transaction::StepStages |  | ) |

## ◆ operator<<() [16/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const WhatObsoletes & | obj
| ) |  |
| related

Definition at line 166 of file WhatObsoletes.cc.

## ◆ operator<<() [17/17]

std::ostream& zypp::sat::operator<< | ( | std::ostream & | str,
|  | const WhatProvides & | obj
| ) |  |
| related

Definition at line 162 of file WhatProvides.cc.

## Variable Documentation

## ◆ obsoleteUsesProvides

bool zypp::sat::obsoleteUsesProvides = false

Definition at line 34 of file WhatObsoletes.cc.